/**
 * TemplateException.java $$Revision: 214 $$ $$Date: 2007-10-12 15:40:59 +0200 (Fri, 12 Oct 2007) $$
 * 
 * Copyright 2007 jstags
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jstags.exceptions;

/**
 * Exception with information on any error related to the templates
 * management(i.e. FileNotFound, IOException)
 * It is thrown if there is an error when dealing with templates
 *
 * @author sschz@users.sourceforge.net
 * @since 1.0
 *
 */
public class TemplateException extends Exception {

	private static final long serialVersionUID = 807098709021801196L;

	/**
	 * @param message message describing the error
	 * @param exception
	 */
	public TemplateException(String message, Throwable exception) {
		super(message, exception);
	}

	/**
	 * @param exception
	 */
	public TemplateException(Throwable exception) {
		super(exception);
	}
}
