/**
 * TableConstants.java $Revision: 417 $ $Date: 2007-10-31 00:50:11 +0100 (Wed, 31 Oct 2007) $
 *
 * Copyright ${year} jstags
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jstags.naming;

/**
 * Includes all the constants related to the Table tags. These 
 * constants refer both to the attribute names and their valid values
 * 
 * @author sschz@users.sourceforge.net
 * @since 1.0
 * 
 */
public class TableConstants {

	public static String TARGET_TAG_ATTR_NAME = "target";
	public static String TABLECLASS_TAG_ATTR_NAME = "tableClass";
	public static String ODDROWCLASS_TAG_ATTR_NAME = "oddRowClass";
	public static String URL_TAG_ATTR_NAME = "url";
	
	public static String FREQUENCY_TAG_ATTR_NAME = "frequency";
	public static String DECAY_TAG_ATTR_NAME = "decay";
	public static String NAME_VALUE_PAIRS_TAG_ATTR_NAME = "nameValuePairs";
	
	public static String SHOOTER_ID_TAG_ATTR_NAME = "shooterId";
	public static String EVENT_TAG_ATTR_NAME = "event";
	public static String FORM_NAMES_TAG_ATTR_NAME = "formNames";
	public static String PARAMS_TAG_ATTR_NAME = "params";
	
	public static String FUNCTION_TAG_ATTR_NAME = "function";
	
	public static String COUNT_TAG_ATTR_NAME = "count";
	public static String START_INDEX_TAG_ATTR_NAME = "startIndex";
	
	public static String LINKS_TAG_CLASS_ATTR_NAME = "links";
	public static final String LINK_TYPE_PARAM_NAME = "type";
	public static final String NEXT_LINK_PARAM_NAME = "next";
	public static final String PREVIOUS_LINK_PARAM_NAME = "previous";
	
	public static final String[] VALID_LINK_TYPES = {
		TableConstants.NEXT_LINK_PARAM_NAME,
		TableConstants.PREVIOUS_LINK_PARAM_NAME};
		
}
