/**
 * TemplateConstants.java $Revision: 417 $ $Date: 2007-10-31 00:50:11 +0100 (Wed, 31 Oct 2007) $
 *
 * Copyright ${year} jstags
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jstags.naming;

/**
 * Constants related to the templates used to generate javascript
 * content
 * 
 * @author sschz@users.sourceforge.net
 * @since 1.0
 * 
 */
public class TemplateConstants {
	
	public static final String TEMPLATES_FOLDER = "/scripts/templates";
	
	public static final int INDENT_FACTOR = 1;
	
	// Variable names to be replaced in the templates
	public static final String SHOOTER_ID_VAR_NAME = "%SHOOTER_ID%";
	public static final String SHOOTERS_SELECTOR_VAR_NAME = "%SHOOTERS_SELECTOR%";
	public static final String TARGETS_SELECTOR_VAR_NAME = "%TARGETS_SELECTOR%";
	public static final String TARGET_ID_VAR_NAME = "%TARGET_ID%";
	public static final String EVENT_VAR_NAME = "%EVENT%";
	public static final String OPTIONS_VAR_NAME = "%OPTIONS%";
	public static final String PARAMETERS_VAR_NAME = "%PARAMETERS%";
	public static final String PERCENT_VAR_NAME = "%PERCENT%";
	public static final String EFFECT_TYPE_VAR_NAME = "%EFFECT_TYPE%";
	public static final String DIRECTION_VAR_NAME = "%DIRECTION%";
	public static final String SUCCESS_FUNCTION_NAME_VAR_NAME = "%SUCCESS_FUNCTION_NAME%";
	public static final String HAS_SHOOTER_VAR_NAME = "%HAS_SHOOTER%";
	public static final String FORM_NAME_VAR_NAME = "%FORM_NAME%";
	public static final String FORM_RULES_VAR_NAME = "%RULES%";
	public static final String DISPLAY_ALWAYS_VAR_NAME = "%FIELDS_TO_DISPLAY_ALWAYS%";
	public static final String JSTAGS_FOLDER_VAR_NAME = "%JSTAGS_FOLDER%";
	public static final String MODULES_VAR_NAME = "%MODULES%";
	public static final String URL_VAR_NAME = "%URL%";
	public static final String SOURCE_FORM_NAME_VAR_NAME = "%SOURCE_FORM_NAME%";
	public static final String SOURCE_FIELD_NAME_VAR_NAME = "%SOURCE_FIELD_NAME%";
	public static final String TARGET_FORM_NAME_VAR_NAME = "%TARGET_FORM_NAME%";
	public static final String TARGET_FIELD_NAME_VAR_NAME = "%TARGET_FIELD_NAME%";	
	public static final String NAME_VALUE_PAIRS_VAR_NAME = "%NAME_VALUE_PAIRS%";
	public static final String CONTENT_TYPE_VAR_NAME = "%CONTENT_TYPE%";
	public static final String TABS_CONTENT_IDS_VAR_NAME = "%TABS_CONTENT_IDS%";
	public static final String TABS_IDS_VAR_NAME = "%TABS_IDS%";
	public static final String SELECTED_TAB_CLASS_VAR_NAME = "%SELECTED_TAB_CLASS%";
	public static final String TABS_PARAMS_VAR_NAME = "%TABS_PARAMS%";
	
	public static final String SUCCESS_FUNCTION_VAR_VALUE = "NET.SOURCEFORGE.JSTAGS.Content.Tables.printSimpleTable";
	public static final String CONTENT_MODULE = "contentMod";
	public static final String FORMS_MODULE = "formsMod";
	public static final String EFFECTS_MODULE = "effectsMod";
			
	
	// Variable names to be used when creating objects to use in the templates
	public static final String TARGET_ID_PARAM_NAME = "targetId";
	public static final String SHOOTER_ID_PARAM_NAME = "shooterId";	
	public static final String EVENT_PARAM_NAME = "event";
	public static final String URL_PARAM_NAME = "url";
	public static final String NAME_VALUE_PAIRS_PARAM_NAME = "nameValuePairs";
	public static final String PARAMS_PARAM_NAME = "params";
	public static final String FORMS_PARAMS_PARAM_NAME = "formsParams";
	public static final String FORM_NAMES_PARAM_NAME = "formNames";
	public static final String REQUEST_METHOD_PARAM_NAME = "method";
	public static final String TABLE_CSS_CLASS_PARAM_NAME = "tableClass";
	public static final String ODD_ROW_CSS_CLASS_PARAM_NAME = "oddRowClass";
	public static final String START_INDEX_PARAM_NAME = "startIndex";
	public static final String COUNT_PARAM_NAME = "count";
	public static final String FREQUENCY_PARAM_NAME = "frequency";
	public static final String DECAY_PARAM_NAME = "decay";
	public static final String LINKS_PARAM_NAME = "links";
	public static final String CONTAINER_ID_PARAM_NAME = "containerId";
	public static final String ALT_PARAM_NAME = "alt";
	public static final String SRC_PARAM_NAME = "src";
	public static final String TITLE_PARAM_NAME = "title";
	public static final String CONTENT_TYPE_PARAM_NAME = "contentType";
	public static final String CALLBACK_FUNCTION_NAME_PARAM_NAME = "callbackFc";
	public static final String SELECTED_TAB_CLASS_PARAM_NAME = "selectedTabClass";
	public static final String EFFECT_PARAM_NAME = "effect";
	public static final String DURATION_PARAM_NAME = "duration";
	public static final String SELECTED_TAB_ID_PARAM_NAME = "selectedTabId";
	public static final String SHOOTERS_SELECTOR_PARAM_NAME = "shootersSelector";
	public static final String OPTIONS_PARAM_NAME = "options";
	public static final String TOGGLE_EFFECT_PARAM_NAME = "toggleEffect";
	public static final String XML_URL_PARAM_NAME = "xmlUrl";
	public static final String XSL_URL_PARAM_NAME = "xslUrl";
	public static final String XML_URL_PARAMETERS_PARAM_NAME = "xmlUrlParams";
	public static final String TABLE_REQUEST_PARAMETERS_PARAM_NAME = "tableRequestParams";
	public static final String SUCCESS_FUNCTION_NAME_PARAM_NAME = "successFunctionName";
	
	// Template names
	public static final String INITIALIZE_TEMPLATE_NAME = "initialize.js";
	public static final String SIMPLE_EFFECT_TEMPLATE_NAME = "simple-effect.js";
	public static final String HIGHLIGHT_TEMPLATE_NAME = "highlight.js";
	public static final String OPACITY_TEMPLATE_NAME = "opacity.js";
	public static final String BLIND_TEMPLATE_NAME = "blind.js";
	public static final String SLIDE_TEMPLATE_NAME = "slide.js";
	public static final String PULSATE_TEMPLATE_NAME = "pulsate.js";
	public static final String GROW_TEMPLATE_NAME = "grow.js";
	public static final String TOGGLE_TEMPLATE_NAME = "toggle.js";
	public static final String TABLE_TEMPLATE_NAME = "table.js";
	public static final String FORM_RULES_TEMPLATE_NAME = "form-rules.js";
	public static final String XSLT_TRANSFORMATION_TEMPLATE_NAME = "xslt-transform.js";
	public static final String ROUND_TEMPLATE_NAME = "round.js";
	public static final String DUAL_COMBO_TEMPLATE_NAME = "dual-combo.js";
	public static final String ASYNC_COMBO_TEMPLATE_NAME = "async-combo.js";
	public static final String ASYNC_CONTENT_LOADER_TEMPLATE_NAME = "async-content-loader.js";
	public static final String MULTIPLE_TAB_TEMPLATE_NAME = "multiple-tab.js";
		
}
