/**
 * Initialize.java $Revision: 264 $ $Date: 2007-10-13 16:50:36 +0200 (Sat, 13 Oct 2007) $
 *
 * Copyright 2007 jstags
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jstags.tags;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.jsp.JspException;

import net.sf.json.JSONArray;
import net.sourceforge.jstags.naming.TemplateConstants;

import org.apache.log4j.Logger;

/**
 * It initializes the library modules. it loads the js files depending 
 * on the functionalities required by the user, it loads
 * stay in place. 
 * 
 * This effect depends on the JavaScript library 
 * <a HREF="http://mochikit.com">Mochikit</a> 
 * 
 * @author sschz@users.sourceforge.net
 * @since 1.0
 *
 */
public class Initialize extends JSTagsTagSupport {
	/**
	 * Logger for this class
	 */
	private static final Logger logger = Logger.getLogger(Initialize.class);

	private static final long serialVersionUID = 1L;
	
	private Boolean content;
	
	private Boolean effects;
	
	private Boolean forms;

	private String jstagsFolder;
	
	public Boolean getContent() {
		return content;
	}

	public void setContent(Boolean content) {
		this.content = content;
	}

	public Boolean getEffects() {
		return effects;
	}

	public void setEffects(Boolean effects) {
		this.effects = effects;
	}

	public Boolean getForms() {
		return forms;
	}

	public void setForms(Boolean forms) {
		this.forms = forms;
	}

	public String getJstagsFolder() {
		return jstagsFolder;
	}

	public void setJstagsFolder(String jstagsFolder) {
		this.jstagsFolder = jstagsFolder;
	}
	
	protected String getTemplateName() throws JspException {		
		return TemplateConstants.INITIALIZE_TEMPLATE_NAME;
	}
	
	protected Map<String, String> getTemplateNameValuePairs() {
		Map<String, String> map = new HashMap<String, String>();
		
		JSONArray modules = new JSONArray();
		if ((getContent() != null)
				&& (getContent())) {
			modules.put(TemplateConstants.CONTENT_MODULE);
		}
		if ((getEffects() != null)
				&& (getEffects())) {
			modules.put(TemplateConstants.EFFECTS_MODULE);
		}
		if ((getForms() != null)
				&& getForms()) {
			modules.put(TemplateConstants.FORMS_MODULE);
		}
		logger.debug(modules.toString(TemplateConstants.INDENT_FACTOR));
		map.put(TemplateConstants.MODULES_VAR_NAME, modules.toString(TemplateConstants.INDENT_FACTOR));
		map.put(TemplateConstants.JSTAGS_FOLDER_VAR_NAME, getJstagsFolder());
				
		return map;
	}

}
