/**
 * AsyncComboValidator.java $Revision: 417 $ $Date: 2007-10-31 00:50:11 +0100 (Wed, 31 Oct 2007) $
 *
 * Copyright 2007 jstags
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sourceforge.jstags.tags.forms;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.jsp.tagext.TagData;
import javax.servlet.jsp.tagext.TagExtraInfo;
import javax.servlet.jsp.tagext.ValidationMessage;

import net.sf.json.util.JSONUtils;
import net.sourceforge.jstags.naming.FormsConstants;
import net.sourceforge.jstags.utils.validation.TagsUtils;

import org.apache.log4j.Logger;

/**
 * @author sschz@users.sourceforge.net
 * @since 1.1
 */
public class AsyncComboValidator extends TagExtraInfo {

	private static final Logger logger = Logger
	.getLogger(DualComboValidator.class);

	@Override
	public ValidationMessage[] validate(TagData data) {
		Collection<ValidationMessage> messages = new ArrayList<ValidationMessage>();

		Object nameValuePairs = data.getAttribute(FormsConstants.NAME_VALUE_PAIRS_TAG_ATTR_NAME);

		// nameValuePairs must be a JavaScript object 
		if (TagsUtils.isValueAvailableAtTranslationTime(nameValuePairs)) {
			if ((!JSONUtils.mayBeJSON((String)nameValuePairs))
					|| (JSONUtils.mayBeJSON((String)nameValuePairs) && !((String)nameValuePairs).startsWith("{"))){
				logger.error("Param 'nameValuePairs: " + (String)nameValuePairs 
						+ "' must be a String representing a valid JSON Object");
				messages.add(new ValidationMessage(data.getId(), 
						"Param 'nameValuePairs: " + (String)nameValuePairs 
						+ "' must be a String representing a valid JSON Object"));
			}
		}

		return (ValidationMessage[])messages.toArray(new ValidationMessage[messages.size()]);		
	}	
}
